Skip to main content
POST
/
offices
Create Office
curl --request POST \
  --url https://crm.universal.rollout.com/api/offices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Rollout-Credential-Id: <api-key>' \
  --data '
{
  "name": "<string>",
  "phone": "<string>",
  "email": "<string>",
  "company": "<string>",
  "timezone": "<string>",
  "requiresTemplate": true
}
'
{
  "id": "<string>",
  "name": "<string>",
  "address": {
    "type": "<string>",
    "street": "<string>",
    "city": "<string>",
    "state": "<string>",
    "code": "<string>",
    "country": "<string>"
  },
  "phone": "<string>",
  "email": "<string>",
  "timezone": "<string>",
  "company": "<string>",
  "requiresTemplate": true,
  "created": "<string>",
  "updated": "<string>",
  "rolloutUpdated": "<string>",
  "originalIds": {},
  "original": {}
}

Documentation Index

Fetch the complete documentation index at: https://rollout.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authorization JWT

X-Rollout-Credential-Id
string
header
required

The Rollout Credential ID to use for queries/mutations

Body

name
string
required
phone
string
required
email
string
required
company
string
required
address
object
timezone
string
requiresTemplate
boolean

Response

Created

id
string
required
name
string
required
address
object
required
phone
string
required
email
string
required
timezone
string
required
company
string
required
requiresTemplate
boolean
required
created
string
required
updated
string
required
rolloutUpdated
string
required
originalIds
object
required
original
object
required